=== debian/control ===
Source: libmath-random-loncapa-perl
Maintainer: Stuart Raeburn <raeburn@loncapa.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               perl
Standards-Version: 4.7.2
Homepage: https://metacpan.org/release/Math-Random

Package: libmath-random-loncapa-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}, perlapi-5.40.1
Description: Random Number Generators
 Math::Random is a Perl port of the C version of randlib, which is a suite of
 routines for generating random deviates. See "RANDLIB" for more information.
 .
 This port supports all of the distributions from which the Fortran and C
 versions generate deviates. The major functionalities that are excluded are
 the multiple generators/splitting facility and antithetic random number
 generation. These facilities, along with some of the distributions which are
 included, are probably not of interest except to the very sophisticated user.
 If there is sufficient interest, the excluded facilities will be included in
 a future release. The code to perform the excluded facilities is available as
 randlib in Fortran and C source.
 .
 The version for use with LON-CAPA includes phrtsd_orig as an argument to
 Makefile.PL in the debian/rules file. This is used to ensure compatibility
 of randomization with distros running pre-0.68 versions of Math::Random that
 employ the original phrtsd routine. The original version, which is the same
 as the phrtsd routine in the original Fortran library, generates the same
 seed numbers for all permutations of the same characters.
